#include "osd.h"

char *error_log;

struct {
    int enabled;
    int verbose;
    char *log;
} t_error;

void error_init(void)
{
#ifdef Dos
    error_log = fopen("error.log","w");
#endif
}

void error_shutdown(void)
{
#ifdef Dos
    if(error_log) fclose(error_log);
#endif
}

void error(char *format, ...)
{
#ifdef Dos
    va_list ap;
    va_start(ap, format);
    if(error_log) vfprintf(error_log, format, ap);
    va_end(ap);
#endif
}